%define python2_sitelib	%(%{__python2} -Esc "from distutils.sysconfig import get_python_lib; print(get_python_lib(False))")
%define	python3_sitelib	%(%{__python3} -Esc "from distutils.sysconfig import get_python_lib; print(get_python_lib(False))")
%define debug_package %{nil} 
%define	py_setup setup.py

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%else
%global         with_python3 0
%endif

%define name dfvfs
%define version 20190421
%define unmangled_version 20190421
%define release 1%{?dist}
%define	_PYTHON %(basename %{__python})

Summary:	Digital Forensics Virtual File System (dfVFS).
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{unmangled_version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		"Log2Timeline developer" <log2timeline-dev@googlegroups.com>
Url:		https://github.com/log2timeline/dfvfs/wiki
%if 0%{?with_python3}
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
%endif

%description
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects
from various storage media types and file formats. The goal of dfVFS is to provide a generic
interface for accessing file-system objects, for which it uses several back-ends that provide
the actual implementation of the various storage media types, volume systems and file systems.

%package -n python2-%{name}
Summary:	Digital Forensics Virtual File System (dfVFS).
Obsoletes:	python-dfvfs < %{version}
Provides:	dfvfs = %{version}
Obsoletes:	dfvfs < %{version}
Provides:	python-dfvfs = %{version}
%if 0%{?fedora} <= 27
Requires:	PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 28
Requires:	python2-pyyaml >= 3.10
%endif
Requires:	libbde-python2 >= 20140531
Requires:	libewf-python2 >= 20131210
Requires:	libfsapfs-python2 >= 20181205
Requires:	libfsntfs-python2 >= 20151130
Requires:	libfvde-python2 >= 20160719
Requires:	libfwnt-python2 >= 20160418
Requires:	libqcow-python2 >= 20131204
Requires:	libsigscan-python2 >= 20150627
Requires:	libsmdev-python2 >= 20140529
Requires:	libsmraw-python2 >= 20140612
Requires:	libvhdi-python2 >= 20131210
Requires:	libvmdk-python2 >= 20140421
Requires:	libvshadow-python2 >= 20160109
Requires:	libvslvm-python2 >= 20160109
%if 0%{?fedora} <= 27
Requires:	python-backports-lzma
%endif
%if 0%{?fedora} >= 28
Requires:	python2-backports-lzma
%endif
Requires:	python2-crypto >= 2.6
Requires:	python2-dfdatetime >= 20181025
Requires:	python2-dtfabric >= 20170524
%if 0%{?fedora} >= 28
Requires:	python2-sqlite3dbm
%else
Requires:	python-sqlite3dbm
%endif
Requires:	python2-pytsk3 >= 20160721

%description -n python2-%{name}
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects
from various storage media types and file formats. The goal of dfVFS is to provide a generic
interface for accessing file-system objects, for which it uses several back-ends that provide
the actual implementation of the various storage media types, volume systems and file systems.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:	Digital Forensics Virtual File System (dfVFS).
%if 0%{?fedora} <= 28
Requires:	python3-PyYAML >= 3.10
%endif
%if 0%{?fedora} >= 29
Requires:	python3-pyyaml >= 3.10
%endif
Requires:	libbde-python3 >= 20140531
Requires:	libewf-python3 >= 20131210
Requires:	libfsapfs-python3 >= 20181205
Requires:	libfsntfs-python3 >= 20151130
Requires:	libfvde-python3 >= 20160719
Requires:	libfwnt-python3 >= 20160418
Requires:	libqcow-python3 >= 20131204
Requires:	libsigscan-python3 >= 20150627
Requires:	libsmdev-python3 >= 20140529
Requires:	libsmraw-python3 >= 20140612
Requires:	libvhdi-python3 >= 20131210
Requires:	libvmdk-python3 >= 20140421
Requires:	libvshadow-python3 >= 20160109
Requires:	libvslvm-python3 >= 20160109
Requires:	python3-crypto >= 2.6
Requires:	python3-dfdatetime >= 20181025
Requires:	python3-dtfabric >= 20170524
Requires:	python3-pytsk3 >= 20160721

%description -n python3-%{name}
dfVFS, or Digital Forensics Virtual File System, provides read-only access to file-system objects
from various storage media types and file formats. The goal of dfVFS is to provide a generic
interface for accessing file-system objects, for which it uses several back-ends that provide
the actual implementation of the various storage media types, volume systems and file systems.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n python2-%{name}
%license LICENSE
%doc README
%{python2_sitelib}/dfvfs
%{python2_sitelib}/dfvfs*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfvfs
%{python3_sitelib}/dfvfs*.egg-info
%endif

%exclude %{_bindir}/*

%changelog
* Mon Apr 22 2019 Lawrence R. Rogers <lrr@cert.org> 20190421-1
* Release 20190421-1
	Version from 20190421

* Fri Mar  1 2019 Lawrence R. Rogers <lrr@cert.org> 20190301-1
* Release 20190301-1
	Version from 20190301

* Wed Feb 13 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-4
* Release 20190128-4
	Removed pysqlite from the Python 3 version

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-3
* Release 20190128-3
	Removed python3-backports-lzma since lzma is part of Python 3.3 and beyond
	Properly specified libewf dependency for python 3

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-2
* Release 20190128-2
	Version from 20190128

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190128-1
* Release 20190128-1
	Version from 20190128

* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-3
* Release 20190122-3
	Version from 20190122
	Uses the python2/python3 names for dependencies.

* Thu Jan 24 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-2
* Release 20190122-2
	Version from 20190122
	Built for Python 2 and 3

* Tue Jan 22 2019 Lawrence R. Rogers <lrr@cert.org> 20190122-1
* Release 20190122-1
	Version from 20190122

* Sat Dec 15 2018 Lawrence R. Rogers <lrr@cert.org> 20181215-1
* Release 20181215-1
	Version from 20181215

* Sun Dec  2 2018 Lawrence R. Rogers <lrr@cert.org> 20181202-1
* Release 20181202-1
	Version from 20181202

* Wed Nov 28 2018 Lawrence R. Rogers <lrr@cert.org> 20181128-1
* Release 20181128-1
	Version from 20181128

* Sat Nov 24 2018 Lawrence R. Rogers <lrr@cert.org> 20181124-1
* Release 20181124-1
	Version from 20181124

* Fri Aug 31 2018 Lawrence R. Rogers <lrr@cert.org> 20180831-1
* Release 20180831-1
	Version from 20180831

* Mon Aug 27 2018 Lawrence R. Rogers <lrr@cert.org> 20180827-1
* Release 20180827-1
	Version from 20180827

* Tue Jul  3 2018 Lawrence R. Rogers <lrr@cert.org> 20180703-1
* Release 20180703-1
	Version from 20180703

* Thu May 10 2018 Lawrence R. Rogers <lrr@cert.org> 20180510-1
* Release 20180510-1
	Version from 20180510

* Mon Mar 26 2018 Lawrence R. Rogers <lrr@cert.org> 20180326-1
* Release 20180326-1
	Version from 20180326

* Sat Dec 30 2017 Lawrence R. Rogers <lrr@cert.org> 20171228-1
* Release 20171228-1
	Version from 20171230

* Thu Dec 28 2017 Lawrence R. Rogers <lrr@cert.org> 20171228-1
* Release 20171228-1
	Version from 20171228

* Sun Dec 17 2017 Lawrence R. Rogers <lrr@cert.org> 20171217-1
* Release 20171217-1
	Version from 20171217

* Sun Dec  3 2017 Lawrence R. Rogers <lrr@cert.org> 20171203-1
* Release 20171203-1
	Version from 20171203

* Sun Oct 22 2017 Lawrence R. Rogers <lrr@cert.org> 20171022-1
* Release 20171022-1
	Version from 20171022

* Sun Jul 23 2017 Lawrence R. Rogers <lrr@cert.org> 20170723-1
* Release 20170723-1
	Version from 20170723

* Fri Mar 24 2017 Lawrence R. Rogers <lrr@cert.org> 20170324-1
* Release 20170324-1
	Version from 20170324

* Tue Oct 25 2016 Lawrence R. Rogers <lrr@cert.org> 20160918-2
* Release 20160918-2
	Changed dependency from pytsk to pytsk3.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160918-1
* Release 20160918-1
	Version from 20160918

* Wed Jul 27 2016 Lawrence R. Rogers <lrr@cert.org> 20160726-1
* Release 20160726-1
	Version built on 20160726 but using source code dated 20160306

* Mon Jul  4 2016 Lawrence R. Rogers <lrr@cert.org> 20160704-1
* Release 20160704-1
	Version from 20160704
	Now also requires libfwnt-python >= 20160418
	Now also requires python-dfdatetime >= 20160610

* Sun Mar  6 2016 Lawrence R. Rogers <lrr@cert.org> 20160306-1
* Release 20160306-1
	Version from 20160306

* Wed Feb  3 2016 Lawrence R. Rogers <lrr@cert.org> 20160108-1
* Release 20160108-1
	Version from 20160108

* Fri Jan  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160108-1
* Release 20160108-1
	Version from 20160108

* Sun Dec 27 2015 Lawrence R. Rogers <lrr@cert.org> 20151227-1
* Release 20151227-1
	Version from 20151227

* Fri Dec 18 2015 Lawrence R. Rogers <lrr@cert.org> 20151218-1
* Release 20151218-1
	Version from 20151218

* Thu Oct  8 2015 Lawrence R. Rogers <lrr@cert.org> 20151008-1
* Release 20151008-1
	Version from 20151008

* Tue Sep 15 2015 Lawrence R. Rogers <lrr@cert.org> 20150915-1
* Release 20150915-1
	Version from 20150915

* Thu Jul 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150730-1
* Release 20150730-1
	Version from 20150730

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150708-1
	Version from 20150708

* Tue Jun 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150630-1
* Release 20150630-1
	Version from 20150630

* Fri Jun 12 2015 Lawrence R. Rogers <lrr@cert.org> 20150612-1
* Release 20150612-1
	Version from 20150612

* Tue Apr 14 2015 Lawrence R. Rogers <lrr@cert.org> 20150414-1
* Release 20150414-1
	Version from 20150414

* Tue Mar  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150303-1
* Release 20150303-1
	Version from 20150303

* Tue Feb 24 2015 Lawrence R. Rogers <lrr@cert.org> 20150224-1
* Release 20150224-1
	Version from 20150224

* Tue Feb 17 2015 Lawrence R. Rogers <lrr@cert.org> 20150217-1
* Release 20150217-1
	Version from 20150217

* Tue Feb  3 2015 Lawrence R. Rogers <lrr@cert.org> 20150203-1
* Release 20150203-1
	Version from 20150129 plus patch from 29150203

* Thu Jan 29 2015 Lawrence R. Rogers <lrr@cert.org> 20150129-1
* Release 20150129-1
	Version from 20150129

* Wed Jan 28 2015 Lawrence R. Rogers <lrr@cert.org> 20150127-1
* Release 20150127-1
	Version from 20150127

* Sat Dec 20 2014 Lawrence R. Rogers <lrr@cert.org> 20141220-1
* Release 20141220-1
	Version from 20141220

* Sat Nov  8 2014 Lawrence R. Rogers <lrr@cert.org> 20141108-1
* Release 20141108-1
	No longer scans VSS snapshot volumes by default.

* Tue Oct 28 2014 Lawrence R. Rogers <lrr@cert.org> 20141028-1
* Release 20141028-1
	See the changes listed at https://github.com/log2timeline/dfvfs

* Sun Sep 28 2014 Lawrence R. Rogers <lrr@cert.org> 20140928-1
* Release 20140928-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Sun Aug 24 2014 Lawrence R. Rogers <lrr@cert.org> 20140824-1
* Release 20140824-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Sun Jul 27 2014 Lawrence R. Rogers <lrr@cert.org> 20140727-1
* Release 120140727-1
	See the changes listed at https://code.google.com/p/dfvfs/source/list

* Wed Jul 02 2014 Lawrence R. Rogers <lrr@cert.org> 20140608-1
* Release 120140608-1
	Initial release
